Lparameters lxParam1

****************************************************************
****************************************************************
* Standard prefix for all tools for Thor, allowing this tool to
*   tell Thor about itself.

If Pcount() = 1						  ;
		And 'O' = Vartype (lxParam1)  ;
		And 'thorinfo' == Lower (lxParam1.Class)

	With lxParam1
	
		* Required
		.Prompt		   = 'Convert binary files to text files and commit'
		
		* Optional
		TEXT TO .Description NOSHOW && a description for the tool
Convert all VFP binary files in the ActiveProject to FoxBin2Prg text format.
If there is no ActiveProject, you will be prompted for a project to convert.
After conversion, the Mercurial Commit dialog appears
		ENDTEXT
		.StatusBarText = ''
		.CanRunAtStartUp = .F.

		* These are used to group and sort tools when they are displayed in menus or the Thor form
		.Source		   = 'DH' && where did this tool come from?  Your own initials, for instance
		.Category      = 'Applications|FoxBin2Prg|Projects' && creates categorization of tools; defaults to .Source if empty
		.Sort		   = 20 && the sort order for all items from the same Category
		
		* For public tools, such as PEM Editor, etc.
		.Version	   = '' && e.g., 'Version 7, May 18, 2011'
		.Author        = 'Doug Hennig'
		.PlugIns		 = 'Get FoxBin2Prg Folder'		
	Endwith

	Return lxParam1
Endif

If Pcount() = 0
	Do ToolCode
Else
	Do ToolCode With lxParam1
Endif

Return

****************************************************************
****************************************************************
* Normal processing for this tool begins here.                  
Procedure ToolCode
	Lparameters lxParam1

* Do the conversion.

	do (_screen.cThorFolder + 'Tools\Thor_Tool_Repository_FoxBin2PrgConvertProjectToText.prg')

* Do the commit.

	run /n0 thg commit
EndProc 
